# Uses of Interface
org.eclipse.jdt.core.IPackageFragment

Packages that use IPackageFragment
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.refactoring.descriptors
Application programming interface to access Java refactorings provided by JDT.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.
org.eclipse.jdt.ui.jarpackager
Provides classes and interfaces to generate a JAR file.
org.eclipse.jdt.ui.refactoring
Application programming interfaces for rename refactorings.
org.eclipse.jdt.ui.wizards
Application programming interfaces for interaction with the Eclipse Java User Interface wizards.

## Uses of IPackageFragment in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IPackageFragment
Modifier and Type
Method
Description
`IPackageFragment`
IPackageFragmentRoot.`createPackageFragment(String name, boolean force, org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates and returns a package fragment in this root with the given dot-separated package name.
`IPackageFragment`
IJavaProject.`findPackageFragment(org.eclipse.core.runtime.IPath path)`
Returns the first existing package fragment on this project's classpath whose path matches the given (absolute) path, or `null` if none exist.
`IPackageFragment`
IPackageFragmentRoot.`getPackageFragment(String packageName)`
Returns the package fragment with the given package name.
`IPackageFragment`
IType.`getPackageFragment()`
Returns the package fragment in which this element is defined.
`IPackageFragment[]`
IJavaProject.`getPackageFragments()`
Returns all package fragments in all package fragment roots contained in this project.

## Uses of IPackageFragment in org.eclipse.jdt.core.refactoring.descriptors

Methods in org.eclipse.jdt.core.refactoring.descriptors with parameters of type IPackageFragment
Modifier and Type
Method
Description
`void`
MoveDescriptor.`setMovePackages(IPackageFragment[] fragments)`
Sets the package fragments to move.

## Uses of IPackageFragment in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type IPackageFragment
Modifier and Type
Method
Description
`protected Object[]`
StandardJavaElementContentProvider.`getPackageContent(IPackageFragment fragment)`
Evaluates all children of a given `IPackageFragment`.
`static void`
JavaElementLabels.`getPackageFragmentLabel(IPackageFragment pack, long flags, StringBuffer buf)`
Appends the label for a package fragment to a `StringBuffer`.
`static void`
JavaElementLabels.`getPackageFragmentLabel(IPackageFragment pack, long flags, org.eclipse.jface.viewers.StyledString result)`
Appends the label for a package fragment to a `StyledString`.

## Uses of IPackageFragment in org.eclipse.jdt.ui.jarpackager

Methods in org.eclipse.jdt.ui.jarpackager that return IPackageFragment
Modifier and Type
Method
Description
`IPackageFragment[]`
JarPackageData.`getPackagesToSeal()`
Gets the packages which should be sealed.
`IPackageFragment[]`
JarPackageData.`getPackagesToUnseal()`
Gets the packages which should explicitly be unsealed.
Methods in org.eclipse.jdt.ui.jarpackager with parameters of type IPackageFragment
Modifier and Type
Method
Description
`void`
JarPackageData.`setPackagesToSeal(IPackageFragment[] packagesToSeal)`
Sets the packages which should be sealed.
`void`
JarPackageData.`setPackagesToUnseal(IPackageFragment[] packagesToUnseal)`
Set the packages which should explicitly be unsealed.

## Uses of IPackageFragment in org.eclipse.jdt.ui.refactoring

Methods in org.eclipse.jdt.ui.refactoring with parameters of type IPackageFragment
Modifier and Type
Method
Description
`static RenameSupport`
RenameSupport.`create(IPackageFragment fragment, String newName, int flags)`
Creates a new rename support for the given `IPackageFragment`.

## Uses of IPackageFragment in org.eclipse.jdt.ui.wizards

Methods in org.eclipse.jdt.ui.wizards that return IPackageFragment
Modifier and Type
Method
Description
`protected IPackageFragment`
NewTypeWizardPage.`choosePackage()`
Opens a selection dialog that allows to select a package.
`IPackageFragment`
NewPackageWizardPage.`getNewPackageFragment()`
Returns the created package fragment.
`IPackageFragment`
NewTypeWizardPage.`getPackageFragment()`
Returns the package fragment corresponding to the current input.
Methods in org.eclipse.jdt.ui.wizards with parameters of type IPackageFragment
Modifier and Type
Method
Description
`protected String`
NewTypeWizardPage.`getUniqueJavaTypeName(IPackageFragment pack, String name)`
Generate a unique type name for some initially given name under the given package fragment.
`void`
NewTypeWizardPage.`setPackageFragment(IPackageFragment pack, boolean canBeModified)`
Sets the package fragment to the given value.